
CoCoA-5 - Bug #1610

IsInRadical: some more little bugs

27 Sep 2021 09:52 - Anna Maria Bigatti

Status: Closed Start date: 27 Sep 2021

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 0.00 hour

Target version: CoCoA-5.4.0 Spent time: 2.60 hours

Description

I met some more bugs for extreme cases.

Usually, after isolating them, the solution is trivial.

List below.

Related issues:

Related to CoCoALib - Bug #1565: IsInRadical: gives "weird" error Closed 19 Jan 2021

Related to CoCoALib - Slug #1569: IsInRadical too slow  (test-RadicalMembership) Closed 22 Jan 2021

Related to CoCoALib - Slug #1136: IsInRadical: sometimes a bit slow Closed 06 Dec 2017

Related to CoCoA-5 - Bug #1032: IsInRadical: fragile code Closed 17 Mar 2017

Related to CoCoALib - Feature #1030: IsInRadical: case of homog ideal Closed 14 Mar 2017

History

#1 - 27 Sep 2021 09:52 - Anna Maria Bigatti

- Related to Bug #1565: IsInRadical: gives "weird" error added

#2 - 27 Sep 2021 09:52 - Anna Maria Bigatti

- Related to Slug #1569: IsInRadical too slow  (test-RadicalMembership) added

#3 - 27 Sep 2021 09:53 - Anna Maria Bigatti

- Related to Slug #1136: IsInRadical: sometimes a bit slow added

#4 - 27 Sep 2021 09:53 - Anna Maria Bigatti

- Related to Bug #1032: IsInRadical: fragile code added

#5 - 27 Sep 2021 09:55 - Anna Maria Bigatti

Error if GradingDim is 0 (lex, elim, ...) for call to IsHomog.  Now fixed.

#6 - 27 Sep 2021 09:57 - Anna Maria Bigatti

Error for

SetVerbosityLevel(90);

use P ::= QQ[a,b, x,y];  X := [x,y];

I:=ideal(a*x, b*x, a*y);

CGS_I := CGSRecNabe(I,X, ElimXLex(2,2));

This makes sense only to me until I manage to isolate where the problem really is.

Gives   Process cocoa5 segmentation fault: 11
#7 - 28 Sep 2021 16:48 - Anna Maria Bigatti

This seems to be the problem

IsInRadical(one(CurrentRing), ideal(CurrentRing,[]));

I'm investigating.

#8 - 28 Sep 2021 17:48 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

fixed.  I didn't encounter other new bugs.

Updated test-exbugs

#9 - 10 Nov 2021 19:32 - John Abbott

Anna: can you close this issue?

#10 - 12 Nov 2021 09:48 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No new bugs have surfaced.  Closing this issue.

#11 - 15 Feb 2024 16:13 - Anna Maria Bigatti

- Related to Feature #1030: IsInRadical: case of homog ideal added
